# Makefile for SAS Lattice C 5.10a for Amigados

CC=lc
#COPTS=-DSASC -j104i

MSGDIR=P:MsgApi/
COPTS=-DSASC -DUSE_MSGAPI -i$(MSGDIR) -fi -j104i

OBJS=ansi.o areas.o bmg.o config.o control.o date.o dialogs.o dirute.o \
 dlgbox.o fido.o getopts.o help.o init.o list.o maintmsg.o \
 makemsgn.o memextra.o menu.o misc.o mnu.o msged.o mxbt.o normalc.o \
 nshow.o quick.o quote.o readmail.o sasc.o screen.o strextra.o \
 system.o template.o textfile.o userlist.o vsev.o vsevops.o win.o \
 wrap.o helpcmp.o helpinfo.o keycode.o \
 msg.o

LIBS=$(MSGDIR)msgapis.lib lib:lcext.lib lib:lcmieee.lib lib:lc.lib lib:amiga.lib
#LIBS=lib:lcext.lib lib:lcmieee.lib lib:lc.lib lib:amiga.lib

msg.o: msg.c
  $(CC) $(COPTS) -D__FLAT__ $<

.c.o:
  $(CC) $(COPTS) $<

msgedam: $(OBJS)
  blink FROM lib:c.o WITH <<
  $(OBJS)
  LIB $(LIBS) TO $@
  <


